org.codehaus.plexus.util

## Class MatchPatterns

- java.lang.Object
- - org.codehaus.plexus.util.MatchPatterns

-     public class MatchPatterns
      extends Object

  A list of patterns to be matched
  Author:
    Kristian Rosenvold

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MatchPatterns` | `from(Iterable<String> strings)`
    `static MatchPatterns` | `from(String... sources)`
    `boolean` | `matches(String name, boolean isCaseSensitive)` Checks these MatchPatterns against a specified string.
    `boolean` | `matches(String name, String[] tokenizedName, boolean isCaseSensitive)`
    `boolean` | `matchesPatternStart(String name, boolean isCaseSensitive)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### matches

          public boolean matches(String name,
                        boolean isCaseSensitive)

      Checks these MatchPatterns against a specified string.

      Uses far less string tokenization than any of the alternatives.
      Parameters:
        `name` - The name to look for
        `isCaseSensitive` - If the comparison is case sensitive
      Returns:
        true if any of the supplied patterns match

    - #### matches

          public boolean matches(String name,
                        String[] tokenizedName,
                        boolean isCaseSensitive)

    - #### matchesPatternStart

          public boolean matchesPatternStart(String name,
                                    boolean isCaseSensitive)

    - #### from

          public static MatchPatterns from(String... sources)

    - #### from

          public static MatchPatterns from(Iterable<String> strings)

Copyright © 2015. All rights reserved.